<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;
use Spatie\Activitylog\LogOptions;

class ClientNote extends Model
{
    protected $guarded = array('id');
    protected static $logUnguarded = true;

    // public function getActivitylogOptions(): LogOptions{
    //     return LogOptions::defaults()->logUnguarded();
    // }

    public function client_info(){
      return $this->hasOne('App\Models\Client', 'id', 'client_id');
    }
    public function created_by_info(){
      return $this->hasOne('App\Models\SystemUser', 'id', 'auth_user_id');
    }

}
